GNU bug report logs - #42865
28.0.50; Add new 'copy-region-quietly' defcustom

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Sean Whitton <spwhitton@HIDDEN>; Keywords: patch; dated Fri, 14 Aug 2020 17:39:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 13 Sep 2020 13:09:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 13 09:09:54 2020
Received: from localhost ([127.0.0.1]:49713 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kHRlS-0001a9-Gj
	for submit <at> debbugs.gnu.org; Sun, 13 Sep 2020 09:09:54 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44652)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kHRlQ-0001Zv-RZ
 for 42865 <at> debbugs.gnu.org; Sun, 13 Sep 2020 09:09:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=wvBBX4Ntyue4PdFeqVu67jmIzYNOdrWyy8v4dQL+sqo=; b=vHznPkgpkMeb0c3wrO0wfbmtDU
 2qAD9qDj70+uUeTRm65X7AzVpRdJ4aGeVbBdz44Law2G8IX02HJokCBJoDjHO020DEXGbHVQK9Xgx
 XpRUcorSERK0nta43nQ2Ep2F9F77gzcg+WU9MQXm4A/PijYP8jTAfcFsa52dZJqpxLBA=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kHRlH-0003Bp-LZ; Sun, 13 Sep 2020 15:09:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Sean Whitton <spwhitton@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <87mu2q7g0b.fsf@HIDDEN> <87ft8izilm.fsf@HIDDEN>
 <878sdhr51e.fsf@HIDDEN> <87mu1wzfsx.fsf@HIDDEN>
 <87zh5uy9jr.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAIVBMVEUXRGsgTHciS3gd
 S3UfT3s+V201VHAnUHVCWm0VPmX////RkgCaAAAAAWJLR0QKaND0VgAAAAd0SU1FB+QJDQw7Il6z
 HiAAAAFESURBVDjLpZJBUsMwDEXV8Yql4sx0SwwHiJEOQLEuwIbhAgxrVu0xODKy4qRx4qxQM9NY
 T9KXFMMJh3A3xBA6/edHOGF26AHDEDpE7AZ8eZJXBZ3FBBww6g99jH1S4KYgfaLGU/RExEQJHGkU
 ojoi5adYyhnLaQGcgY8fX+/55Iv39vltgOh6/qGVna8Di4G9HQLhDPweeDkAfbq0gYiYRml/FcGh
 iMdNipVqtrVZyR2grqQBWN7A9Xtp1XwGN+tWQLoJxJ2GdoUtvw0Y9RvW00uaJ982xgUs0nOisABU
 615pQD421KsMXwO7T3XTSVeSM9D8q9Z4KsVWpNJZuqoHpEverr1tJsS5q1JmqVbmyA6/A87OWGfQ
 orFV5wJ89DXh/fUpAXJwr4j+CcY1AAc6pI7p7N2NZLsYoW3jETi2B4DfNvgDP43BVCENp28AAAAl
 dEVYdGRhdGU6Y3JlYXRlADIwMjAtMDktMTNUMTI6NTk6MzQrMDA6MDB2YHTbAAAAJXRFWHRkYXRl
 Om1vZGlmeQAyMDIwLTA5LTEzVDEyOjU5OjM0KzAwOjAwBz3MZwAAAABJRU5ErkJggg==
X-Now-Playing: Nils Frahm's _Encores 2_: "Spells"
Date: Sun, 13 Sep 2020 15:09:42 +0200
In-Reply-To: <87zh5uy9jr.fsf@HIDDEN> (Sean Whitton's message of
 "Sat, 12 Sep 2020 14:22:48 -0700")
Message-ID: <87wo0xyga1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Sean Whitton <spwhitton@HIDDEN> writes: > As I think
 you realise, We'll still want some version of my patch for > the blinking
 cursor suppression. Yes, definitely. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sean Whitton <spwhitton@HIDDEN> writes:

> As I think you realise, We'll still want some version of my patch for
> the blinking cursor suppression.

Yes, definitely.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 12 Sep 2020 21:22:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 12 17:22:58 2020
Received: from localhost ([127.0.0.1]:49114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kHCz4-0005rJ-Mn
	for submit <at> debbugs.gnu.org; Sat, 12 Sep 2020 17:22:58 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:50561)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spwhitton@HIDDEN>) id 1kHCz1-0005r3-G0
 for 42865 <at> debbugs.gnu.org; Sat, 12 Sep 2020 17:22:57 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 50A4C5C00BC;
 Sat, 12 Sep 2020 17:22:50 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute1.internal (MEProxy); Sat, 12 Sep 2020 17:22:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=spwhitton.name;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=sKaEtj4NGh9RZm7XS7Vr0CZkR4
 f66kVf2hMvCzqkSSk=; b=RK1JrqEl043mnpTTuy7ndCbyvrXm4ijvxvCfpSt3wn
 8QYkb4L9wUGZSH8yYaPDeU7+JLNPxGUR4qCwqYvE9PlHYhmptZIFBZHPb6eZvWS1
 JcH8YuJrmb87ekFOBUZm0Zkg9l71YPJGsUFcRdYn9JMBFn7XqeHsiOdLwL2J10Zq
 srmeP3fGlFQfcFWexnOEqr3UoJrSwwSTUo1cTLmVPAl0krei3g18i0M3qW5PatOx
 JKa9J8seThhtC2WGrWZtk8MRG389ik3fMFC1MjX14EdYHDBFsDACjgBkapPAvCfp
 E3IauLNH1vyKZd1LbfM35Zr1uRoHANQgdULbtf+3griA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=sKaEtj
 4NGh9RZm7XS7Vr0CZkR4f66kVf2hMvCzqkSSk=; b=oBqoxLUzDDWPRF2bg3ib4l
 A5memnn+IsLipyXsU70wT2U8fRpgxaQ3x7mJBYF7Fbsc33R/X7vqjoKhXURGbDoD
 A4iEHSUQP7FL/erJHwI/n+sRi0cP2nkwiJp0p2OzEcD+ay4hMXgUlh7DO3Jk5dJR
 HG5ruC2hwy6Pt6iFsSRAFXsdDti9Zvu1et+gT7/yeNh3ZcyShIDy5Ja5i3Yqumah
 d2qUq4xUF/0BMShKyk4kfLmObzTD0kvTBqSY3W4k/vxzOLZ0wBR9gPA54rVWB8Lh
 GuKIkU+lBe88OZkD0OJpcskPRPX6fvq2QxuT+KyStgh467bGBAF12AMdU3IJHK1A
 ==
X-ME-Sender: <xms:KjxdX9rLOhx61F0vDImJF2MmPUvBEF7FcXDmktGl6CyXKqNMqofhYw>
 <xme:KjxdX_rDHBkuTPjLI9hi1gyiRU2WCS5Gmsj57h8FFbYUDPmpftprt2uh_suZ9tyG1
 XGVRinDd96W_avP3A>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduiedrudeiuddgudeivdcutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvffujghffffkgggtsehttdertddttddtnecuhfhrohhmpefuvggrnhcu
 hghhihhtthhonhcuoehsphifhhhithhtohhnsehsphifhhhithhtohhnrdhnrghmvgeqne
 cuggftrfgrthhtvghrnhepgedtvdehgeffhfffvdeffefhgfejffelhfetveffffektefg
 tdejtdeivddtveehnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilh
 hfrhhomhepshhpfihhihhtthhonhesshhpfihhihhtthhonhdrnhgrmhgv
X-ME-Proxy: <xmx:KjxdX6NlKveHsUWfxY1rDJkeJ-NQz72D3BehKoUAmlFGTCmQcewilg>
 <xmx:KjxdX44khaUbAaUhUCJgQIUstMC2LdLx1fnlItrCFNhCM5-uBPpLQg>
 <xmx:KjxdX87osysp8te71Huo1YsWPs7DX3hvu2fh50Xau3GXLIOmSROdQg>
 <xmx:KjxdXxW8UyOaZvEnMQo5KWb1i2XlKx3VNBRe0eAvo1ixGQedoDENhA>
From: Sean Whitton <spwhitton@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
In-Reply-To: <87mu1wzfsx.fsf@HIDDEN>
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <87mu2q7g0b.fsf@HIDDEN> <87ft8izilm.fsf@HIDDEN>
 <878sdhr51e.fsf@HIDDEN> <87mu1wzfsx.fsf@HIDDEN>
Date: Sat, 12 Sep 2020 14:22:48 -0700
Message-ID: <87zh5uy9jr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

On Fri 11 Sep 2020 at 01:57PM +02, Lars Ingebrigtsen wrote:

> Sean Whitton <spwhitton@HIDDEN> writes:
>
>> On Wed 19 Aug 2020 at 06:49PM +02, Lars Ingebrigtsen wrote:
>>
>>> Let's give it a few more days to see whether anybody else has any views
>>> on this before committing, though.
>>
>> I think the patch could be applied, because the discussion between you
>> and Juri about more involved possibilities, if it bears fruit, could
>> become a different implementation of the new defcustom?
>
> That's true, but parts of your patch would then become superfluous,
> wouldn't it?  So it may be worth it to wait a bit more to see whether
> the more general message suppression idea gets any traction...

Fair enough, certainly happy to wait.

As I think you realise, We'll still want some version of my patch for
the blinking cursor suppression.

-- 
Sean Whitton




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 11 Sep 2020 11:58:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 11 07:58:02 2020
Received: from localhost ([127.0.0.1]:42737 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kGhgo-0003JW-J3
	for submit <at> debbugs.gnu.org; Fri, 11 Sep 2020 07:58:02 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50364)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kGhgm-0003Iz-Lf
 for 42865 <at> debbugs.gnu.org; Fri, 11 Sep 2020 07:58:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=zSjPMhqaGDQEDBwSasB9XDRsZ+Jq5F4vHzjE4mzLbRA=; b=GYr+nj+T0GaMnRSQ3XuQ1B9L60
 LLM6mdOcbRfYt2zFvMcv5KP3jHGw7tuL4CMsNi/mEvn73v2kvpdo/f4QIow5+lbJBIeTlUTK59kjm
 0Ss7bsoOtKWu1Z3SRT6JNpcN9YcTjLOPBRqdftJNAPRgTZNlaUo53Ow+S+cSQX0Tw0qE=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kGhgd-0001h1-Vw; Fri, 11 Sep 2020 13:57:54 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Sean Whitton <spwhitton@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <87mu2q7g0b.fsf@HIDDEN> <87ft8izilm.fsf@HIDDEN>
 <878sdhr51e.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAMFBMVEUaGBomIyQ2MTId
 HCFaUUwhHiAhHB4ODA42Ih5kSjqRcVeAWTtPMSypjW60nIX///8gj8uoAAAAAWJLR0QPGLoA2QAA
 AAd0SU1FB+QJCwsqGgVMzPcAAAGKSURBVDjLdZA/T8JAGMbfivwzDFbTwcHBi6MmJP0CSjo5lZDr
 XIZ2cqiDsjgwkejooDjwAYhonI0Di8QB3KkeH4BEP4PXFo732uMZru3zu+ee9woaUehA3wXtkFhp
 l8sGzbKsU/5OdmJXj2V4wMFiDxalEYBm2ne8Kge1TMBzAaKEVasjt27YTuTDBa9IQLJS348DcEls
 TzeoQfksfHuyO9IV0Q2HUqpzxn0XAVKAgsdtp6kbtvAhIITvyvuO4xV0cBFIHjzl3jyNPyGrgv94
 9N5RAG1jUBlA5iheUz45/wHVUXvk+hW2FeB2PnlQJeArDIdK8ML6bWXHbP48El/VFcjP2PfH8iOH
 gMb+uq4K5Fk47qgAPLOBr+qoMDbF5eKXlHqz33tVAo7ZtK3sKL91xXvOxFdE05oSOFtNazYw6PVF
 RE5MQlFuonH5WAhIiX02VJdvhSMRaMigLRIS2EQdEijdrbkHmlAuR2qsA2sTZi5ai61YQZACCz+W
 dFQLC4rBEhRbaS3OzIJY/3sEjAf8ow9GAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIwLTA5LTExVDEx
 OjQyOjI2KzAwOjAwLlEI9gAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMC0wOS0xMVQxMTo0MjoyNisw
 MDowMF8MsEoAAAAASUVORK5CYII=
X-Now-Playing: Melanie de Biasio's _No Deal_: "Sweet Darling Pain"
Date: Fri, 11 Sep 2020 13:57:50 +0200
In-Reply-To: <878sdhr51e.fsf@HIDDEN> (Sean Whitton's message of
 "Thu, 10 Sep 2020 09:05:17 -0700")
Message-ID: <87mu1wzfsx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Sean Whitton <spwhitton@HIDDEN> writes: > On Wed 19
 Aug 2020 at 06:49PM +02, Lars Ingebrigtsen wrote: > >> Let's give it a few
 more days to see whether anybody else has any views >> on this before
 committing, though. > > I think the patch c [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sean Whitton <spwhitton@HIDDEN> writes:

> On Wed 19 Aug 2020 at 06:49PM +02, Lars Ingebrigtsen wrote:
>
>> Let's give it a few more days to see whether anybody else has any views
>> on this before committing, though.
>
> I think the patch could be applied, because the discussion between you
> and Juri about more involved possibilities, if it bears fruit, could
> become a different implementation of the new defcustom?

That's true, but parts of your patch would then become superfluous,
wouldn't it?  So it may be worth it to wait a bit more to see whether
the more general message suppression idea gets any traction...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 10 Sep 2020 16:05:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 10 12:05:25 2020
Received: from localhost ([127.0.0.1]:40998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kGP4f-0007Up-Kc
	for submit <at> debbugs.gnu.org; Thu, 10 Sep 2020 12:05:25 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:35229)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spwhitton@HIDDEN>) id 1kGP4e-0007Ua-4I
 for 42865 <at> debbugs.gnu.org; Thu, 10 Sep 2020 12:05:24 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id BACA15C0153;
 Thu, 10 Sep 2020 12:05:18 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute1.internal (MEProxy); Thu, 10 Sep 2020 12:05:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=spwhitton.name;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=uiXKsLo52Dno40QZX6adAYnHPb
 URlyX7PKOCsDsXTeQ=; b=yF6YoKEAR9jARirKxPA3UQOzJWMulzLmlWD81schW1
 eQBzIytMnKqrqNVW5R25ZZ0OBlKFutV5hNE/IspkRG+SoCNFx8lcmPXH314GHd4P
 Q1CkZ9xJxc5HG4GcVy/TMiHkxVrTTq3lP6wSjeBtytu2Ub42to7Xj6oFel7QBnp2
 WVUr1WgGWjkJcc1VGVgllw+ZK0vAPdgETpWtu0dshZZ3H5Xs0gVh/FZ9sat30OiG
 vhIOrdwCTcFZD5ZQZG2BBW2pkZi0GJ99Q7v6gTebqMGfc6WHMGGDS/3km8LCiqnO
 kS8Z7PDIGKacH0pJKG3Y80mUMtoBI9F9FZmO3vYZyRBA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=uiXKsL
 o52Dno40QZX6adAYnHPbURlyX7PKOCsDsXTeQ=; b=jV2PqhxvXtMIJVC7utDqVW
 kdyJmId6u2SVIeLldyPbGh9fgftA+0pnAMeB1et0dwZgq6TzfceDEDuKNeTQDqIK
 aPA2DKSDzZAwDCIopnWGfYATOoeVgQ/t+0xP0zdVaj5TmIqUUzTd21Z1/nBx2lVu
 0lroO0B71phuI4PcYXVj7WLwNv/SN8YFFlkoTAu9a5bG8Rz7OzPY7BX4i380T8Yh
 4XPVXijkpzzWZKtDHY3gNzGLbZb+mYBXa4bE9IVZhHZkQ9pwZdIdBqY6VoMI3aM7
 j1HIRMvLbETSknaHGPza1OkVRV9jxKB+62h7lt3iBy/pGwi0uOqgCp19/9XJXU3Q
 ==
X-ME-Sender: <xms:vk5aXw3VYxcAhxO3re_dRC2O_4zLuZjYyupPbW5ZSo3apUmjwjL45Q>
 <xme:vk5aX7GA3Zx6UjJ0OBUbKn49mx6h65MlDGwquBzBwaARNDnraR-U1E_E0GRVXpo9n
 k5G1czruB8OQ6xaBg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduiedrudehjedgledtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhffkfggtgesthdtredttddttdenucfhrhhomhepufgvrghnucgh
 hhhithhtohhnuceoshhpfihhihhtthhonhesshhpfihhihhtthhonhdrnhgrmhgvqeenuc
 ggtffrrghtthgvrhhnpeegtddvheegfffhffdvfeefhffgjefflefhteevffffkeetgfdt
 jedtiedvtdevheenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfh
 hrohhmpehsphifhhhithhtohhnsehsphifhhhithhtohhnrdhnrghmvg
X-ME-Proxy: <xmx:vk5aX44pe-RMt3l16N4DmPqHsDY5TlSi38UQPvSbFa5xMwn4K9f-pw>
 <xmx:vk5aX52xkacfjV2nV3Id-QqZ8Xh8PD6N5jRD7ZqE7YgBtgh1vWGCtg>
 <xmx:vk5aXzFym13JmISTSRmf1Ww8G9kdJV9S_puNICJS2FFVf0SXrwYX_g>
 <xmx:vk5aX6y41MMWdJdGtq689K7_H0GZ0DdQIUbdjq8a3nsaa8HwZZY2ag>
From: Sean Whitton <spwhitton@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
In-Reply-To: <87ft8izilm.fsf@HIDDEN>
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <87mu2q7g0b.fsf@HIDDEN> <87ft8izilm.fsf@HIDDEN>
Date: Thu, 10 Sep 2020 09:05:17 -0700
Message-ID: <878sdhr51e.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello Lars,

On Wed 19 Aug 2020 at 06:49PM +02, Lars Ingebrigtsen wrote:

> Let's give it a few more days to see whether anybody else has any views
> on this before committing, though.

I think the patch could be applied, because the discussion between you
and Juri about more involved possibilities, if it bears fruit, could
become a different implementation of the new defcustom?

-- 
Sean Whitton




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 27 Aug 2020 19:09:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 27 15:09:50 2020
Received: from localhost ([127.0.0.1]:44073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kBNHR-0003Ie-VM
	for submit <at> debbugs.gnu.org; Thu, 27 Aug 2020 15:09:50 -0400
Received: from relay10.mail.gandi.net ([217.70.178.230]:54223)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1kBNHP-0003IP-2l
 for 42865 <at> debbugs.gnu.org; Thu, 27 Aug 2020 15:09:48 -0400
Received: from mail.gandi.net (m91-129-102-47.cust.tele2.ee [91.129.102.47])
 (Authenticated sender: juri@HIDDEN)
 by relay10.mail.gandi.net (Postfix) with ESMTPSA id D748A240003;
 Thu, 27 Aug 2020 19:09:37 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Stefan Kangas <stefankangas@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
Organization: LINKOV.NET
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <875z9fe3l9.fsf@HIDDEN> <87eeo37x1f.fsf@HIDDEN>
 <87a6yqc874.fsf@HIDDEN> <87blj5xyi0.fsf@HIDDEN>
 <87o8n5ifr6.fsf@HIDDEN> <87364g8cgf.fsf@HIDDEN>
 <87h7stnvaa.fsf@HIDDEN> <87eenwchk2.fsf@HIDDEN>
 <87wo1nsyv7.fsf@HIDDEN>
 <CADwFkmkSRRM6RaHOhSZVatd5XUtvxxqkPn32a+yUAjjk1cFFsQ@HIDDEN>
 <87r1ruvab4.fsf@HIDDEN>
 <CADwFkmm87CfYnaWrxgaFm_RTMY3eUdU6GJ3jMVKXWAzzXAksFQ@HIDDEN>
Date: Thu, 27 Aug 2020 22:08:23 +0300
In-Reply-To: <CADwFkmm87CfYnaWrxgaFm_RTMY3eUdU6GJ3jMVKXWAzzXAksFQ@HIDDEN>
 (Stefan Kangas's message of "Tue, 25 Aug 2020 17:36:16 -0700")
Message-ID: <87tuwnoqjc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42865
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 42865 <at> debbugs.gnu.org,
 Sean Whitton <spwhitton@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> The message text changes not often.  But the symbol approach is much worse
>> because it takes the freedom from users - in case of symbols the developers
>> decide whether to allow the users to inhibit messages or not.  When developers
>> allow to inhibit some messages by adding a new symbol to the message function,
>> then it takes many years until the users can start using new symbols to
>> inhibit messages after the next release.
>
> I think you convinced me, thanks.  I still think people will shoot
> themselves in the foot, but OTOH we are hardly strangers to that.
>
> Let's hear what others have to say.

I'm allowed to have more than one opinion?  Since most 'message' calls
use FORMAT-STRING with ARGS, then like gettext translates FORMAT-STRING,
inhibit-message could also check FORMAT-STRING, instead of matching a regexp
on the formatted string.  So for example just check if "Saved text until \"%s\"",
was added to a user-defined list, and inhibit the message.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 26 Aug 2020 00:36:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 25 20:36:24 2020
Received: from localhost ([127.0.0.1]:36656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAjQO-0001U4-Ac
	for submit <at> debbugs.gnu.org; Tue, 25 Aug 2020 20:36:24 -0400
Received: from mail-yb1-f175.google.com ([209.85.219.175]:41030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kAjQM-0001Tg-Rl
 for 42865 <at> debbugs.gnu.org; Tue, 25 Aug 2020 20:36:23 -0400
Received: by mail-yb1-f175.google.com with SMTP id s195so263044ybc.8
 for <42865 <at> debbugs.gnu.org>; Tue, 25 Aug 2020 17:36:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :cc; bh=e/UPy6UGFN7Cc2gjS2/Cz5fpHKwbUOCv78KTw0gFTrA=;
 b=N/07j5bqRUwSqopbhpDuKoSSVtlfoF7unSjWudg1Lz4dZ4PdxWhrY5khHrTWxR/PKV
 w2r9n8BiOeHbHHBJ0gbWNAlAOQFeLdSvL5MGEMuziL710mk8P67RMB9jfc7RPULHPCZ2
 iGpheBv90VOfO0Yn0JcpELsETElVqm9OnedAKnt0UcFWx8ipJ5Anz0Lb6EKF4u+MFHhz
 Fws6Vw1MS/F9bgle6eqzzth6bHyc+TRNrlNYwYQ8V6llABCsFscLegklb8IAgR0bu5ab
 FC1NZp5lBiaZF4koWORV8R5RYCE1pAKAQL71DAIIUgKoJ11g6jwscxdoaB7NoMfORvco
 l28Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=e/UPy6UGFN7Cc2gjS2/Cz5fpHKwbUOCv78KTw0gFTrA=;
 b=jJYcYT9Q9gBRRZJcF18T1hzusqzZBGUCjr/DdA5qC4CwEDn9L41g3qqHLg0Uzd/Ne/
 SJTM9yFUANitZl23Ta+ucLbRDFDU60Ibxv6RnVTOulKQx8r13KAvccyeN9j716PLsjnb
 BYHg5GzFKU7R6NZcLiyS4Fn/2LGwxRnj0wP3YnGm1SOXu4oJWMnQoN3k1FXT0/o80fr5
 JYP6ndec2kz8IrAkVzhHjlew8tTdOpqP9b6WTGvLtLLGpq2iqLjbuJ8EI/iPrjV/8aAw
 UeUcKRVKeGfSvVzL4k58mUGmUyHDMU93c2X/AMcy6deW1+FaBxy9T5UV/ZWov2QywU/+
 pvIg==
X-Gm-Message-State: AOAM530v0KJ/UfkZi4MVkp5JsXoPCyNyEQHzMqsElpTRg4Eice4Sqft1
 7xrmoTB+DXJMSAD8trKUhVJtpltr4SqHXYdd9VtEWDQJWnU=
X-Google-Smtp-Source: ABdhPJxJahV1SnHi/AqHHiQ0AYtc236FCy76G2IIawyGL2R7QwjiFcmb7oPAcgPmduQfJZ70mFlecMiTJtR3W0I9FFU=
X-Received: by 2002:a25:9843:: with SMTP id k3mr18605152ybo.466.1598402177459; 
 Tue, 25 Aug 2020 17:36:17 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 25 Aug 2020 17:36:16 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <87r1ruvab4.fsf@HIDDEN>
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <875z9fe3l9.fsf@HIDDEN> <87eeo37x1f.fsf@HIDDEN>
 <87a6yqc874.fsf@HIDDEN> <87blj5xyi0.fsf@HIDDEN>
 <87o8n5ifr6.fsf@HIDDEN> <87364g8cgf.fsf@HIDDEN>
 <87h7stnvaa.fsf@HIDDEN> <87eenwchk2.fsf@HIDDEN>
 <87wo1nsyv7.fsf@HIDDEN>
 <CADwFkmkSRRM6RaHOhSZVatd5XUtvxxqkPn32a+yUAjjk1cFFsQ@HIDDEN>
 <87r1ruvab4.fsf@HIDDEN>
MIME-Version: 1.0
Date: Tue, 25 Aug 2020 17:36:16 -0700
Message-ID: <CADwFkmm87CfYnaWrxgaFm_RTMY3eUdU6GJ3jMVKXWAzzXAksFQ@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42865
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 42865 <at> debbugs.gnu.org,
 Sean Whitton <spwhitton@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

> The message text changes not often.  But the symbol approach is much worse
> because it takes the freedom from users - in case of symbols the developers
> decide whether to allow the users to inhibit messages or not.  When developers
> allow to inhibit some messages by adding a new symbol to the message function,
> then it takes many years until the users can start using new symbols to
> inhibit messages after the next release.

I think you convinced me, thanks.  I still think people will shoot
themselves in the foot, but OTOH we are hardly strangers to that.

Let's hear what others have to say.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 25 Aug 2020 19:09:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 25 15:09:50 2020
Received: from localhost ([127.0.0.1]:36143 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAeKM-00011G-DJ
	for submit <at> debbugs.gnu.org; Tue, 25 Aug 2020 15:09:50 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:49261)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1kAeKL-00010l-2k
 for 42865 <at> debbugs.gnu.org; Tue, 25 Aug 2020 15:09:49 -0400
X-Originating-IP: 91.129.102.47
Received: from mail.gandi.net (m91-129-102-47.cust.tele2.ee [91.129.102.47])
 (Authenticated sender: juri@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id D7D651BF206;
 Tue, 25 Aug 2020 19:09:40 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Stefan Kangas <stefankangas@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
Organization: LINKOV.NET
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <875z9fe3l9.fsf@HIDDEN> <87eeo37x1f.fsf@HIDDEN>
 <87a6yqc874.fsf@HIDDEN> <87blj5xyi0.fsf@HIDDEN>
 <87o8n5ifr6.fsf@HIDDEN> <87364g8cgf.fsf@HIDDEN>
 <87h7stnvaa.fsf@HIDDEN> <87eenwchk2.fsf@HIDDEN>
 <87wo1nsyv7.fsf@HIDDEN>
 <CADwFkmkSRRM6RaHOhSZVatd5XUtvxxqkPn32a+yUAjjk1cFFsQ@HIDDEN>
Date: Tue, 25 Aug 2020 21:40:15 +0300
In-Reply-To: <CADwFkmkSRRM6RaHOhSZVatd5XUtvxxqkPn32a+yUAjjk1cFFsQ@HIDDEN>
 (Stefan Kangas's message of "Mon, 24 Aug 2020 12:34:19 -0700")
Message-ID: <87r1ruvab4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42865
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 42865 <at> debbugs.gnu.org,
 Sean Whitton <spwhitton@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> IOW, I still prefer the simplicity of such regexps as
>>
>>   (add-to-list 'inhibit-message "^Saved text until")
>>
>> and can't imagine a situation why I'd want to inhibit such message
>> for one command but not for another.
>
> One package says: "Saved text until end"
>
> Another one says: "Saved text until end... failed, retry to avoid data
> loss"

Then it could match the whole message with $ at the end.

  (add-to-list 'inhibit-message "^Saved text until end$")

> And then you have the joy when the message text changes...

The message text changes not often.  But the symbol approach is much worse
because it takes the freedom from users - in case of symbols the developers
decide whether to allow the users to inhibit messages or not.  When developers
allow to inhibit some messages by adding a new symbol to the message function,
then it takes many years until the users can start using new symbols to
inhibit messages after the next release.

OTOH, in case of regexps, the users decide what text they want to inhibit
without waiting for developers adding new symbols.

For example, in https://debbugs.gnu.org/21893#23
I needed to inhibit the message from view-end-message.
With a regexp this would be very easy:

  (add-to-list 'inhibit-message "^End of buffer")

But currently I use such complicated advice:

  (advice-add 'view-end-message :around
              (lambda (orig-fun &rest args)
                (let ((inhibit-message t))
                  (apply orig-fun args)))
              '((name . non-verbose-view-end-message)))

Also using regexps will obsolete many such ad-hoc options as
'view-inhibit-help-message'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 24 Aug 2020 19:34:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 24 15:34:29 2020
Received: from localhost ([127.0.0.1]:59320 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAIEf-0008FO-4v
	for submit <at> debbugs.gnu.org; Mon, 24 Aug 2020 15:34:29 -0400
Received: from mail-yb1-f170.google.com ([209.85.219.170]:45919)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kAIEb-0008F6-41
 for 42865 <at> debbugs.gnu.org; Mon, 24 Aug 2020 15:34:28 -0400
Received: by mail-yb1-f170.google.com with SMTP id x2so5805100ybf.12
 for <42865 <at> debbugs.gnu.org>; Mon, 24 Aug 2020 12:34:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :cc; bh=ceikoZLYiMoP2pfSqQVD0lzDCONG7ID2wrTePaqjtF0=;
 b=XBzI6Pk8g0Bt8kMpkTQa0mR2Wf7PBgOGcerJlbhPC+PRukaxh/phorYO4bXh0SrX5h
 2QDSBG0ZLLAWq3xzQ05uHWlbKmIGft39JQfz9Nkl4xt5JJglcgnStgMQG7wCqxJfkc2h
 D/Q4PzwT+9lG9P15hRv9pBnKo246QRNH8L7FdGIIz6na5XuW4fQunPdn26jC5l9nIDMk
 C5TwxRp97Vqm1bX+jivDNCZ+su/ziFT7YUjs/48AZauhH1rCAeyJbdQ8NvxwDrbRD+Fy
 NG3RQeybwqou3KHbc3w5uqgbMu/3XAW1gvRnAXe9ahefSbmPOGCIeQqAXb7FRZBS6mEj
 9ztw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=ceikoZLYiMoP2pfSqQVD0lzDCONG7ID2wrTePaqjtF0=;
 b=O8qWZPrEvKATI4TYD4uUdPL+POLedQZoqotjqRbeAvy73FXdtcf2CxBpJXwrtZNbfQ
 3YrBouxa2Wxaxwtw9IJzouYRut4u6WZx5Yh0QF6tMmoJG/4vhb3GNpCJd7jzwjIlMASm
 1qbmzOLwf15j6X8Lu9ce/vfCb51T7Ua/Q7oXmLS89Y8PBMY4x7ZuUPv+2nrfwNrlK2cO
 O8Md1l5ORDPjvAqCLoTrODojzznamf0ej7Ek5vQQmBW6m4V7jp3dsKxU7KOA/ZcTuqHy
 F6ggpx2Vvd5oxdU5K5Os8JmKLc9z2bkIM2/IkM5UsxXoNnLROHJX1xqiMHwhhwfEMdq4
 uSHQ==
X-Gm-Message-State: AOAM532iHK4/g9Oxeqdi+YkjPt4Tb1pvbU+19w8bsvICvDXun6a/mRgK
 qw+CUnnJXZ99UPyFkqlg2DvXJC2CEvrOjkj0MtOD1OUF3NuDKg==
X-Google-Smtp-Source: ABdhPJwsij2CHdG5fVqJa1iyrgHtZAxcbc10SM93PvyuO/2UdS+KlfDcgahuMzTeVFKK3fASsz7M3yRnz/dw2YLUi5c=
X-Received: by 2002:a5b:410:: with SMTP id m16mr9365366ybp.309.1598297659623; 
 Mon, 24 Aug 2020 12:34:19 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 24 Aug 2020 12:34:19 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <87wo1nsyv7.fsf@HIDDEN>
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <875z9fe3l9.fsf@HIDDEN> <87eeo37x1f.fsf@HIDDEN>
 <87a6yqc874.fsf@HIDDEN> <87blj5xyi0.fsf@HIDDEN>
 <87o8n5ifr6.fsf@HIDDEN> <87364g8cgf.fsf@HIDDEN>
 <87h7stnvaa.fsf@HIDDEN> <87eenwchk2.fsf@HIDDEN>
 <87wo1nsyv7.fsf@HIDDEN>
MIME-Version: 1.0
Date: Mon, 24 Aug 2020 12:34:19 -0700
Message-ID: <CADwFkmkSRRM6RaHOhSZVatd5XUtvxxqkPn32a+yUAjjk1cFFsQ@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
To: Juri Linkov <juri@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org, Sean Whitton <spwhitton@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

> IOW, I still prefer the simplicity of such regexps as
>
>   (add-to-list 'inhibit-message "^Saved text until")
>
> and can't imagine a situation why I'd want to inhibit such message
> for one command but not for another.

One package says: "Saved text until end"

Another one says: "Saved text until end... failed, retry to avoid data
loss"

And then you have the joy when the message text changes...

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 24 Aug 2020 18:40:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 24 14:40:05 2020
Received: from localhost ([127.0.0.1]:59233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAHO1-0002DY-1a
	for submit <at> debbugs.gnu.org; Mon, 24 Aug 2020 14:40:05 -0400
Received: from relay11.mail.gandi.net ([217.70.178.231]:55507)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1kAHNz-0002Cy-23
 for 42865 <at> debbugs.gnu.org; Mon, 24 Aug 2020 14:40:03 -0400
Received: from mail.gandi.net (m91-129-102-47.cust.tele2.ee [91.129.102.47])
 (Authenticated sender: juri@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id 2D6F8100007;
 Mon, 24 Aug 2020 18:39:54 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
Organization: LINKOV.NET
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <875z9fe3l9.fsf@HIDDEN> <87eeo37x1f.fsf@HIDDEN>
 <87a6yqc874.fsf@HIDDEN> <87blj5xyi0.fsf@HIDDEN>
 <87o8n5ifr6.fsf@HIDDEN> <87364g8cgf.fsf@HIDDEN>
 <87h7stnvaa.fsf@HIDDEN> <87eenwchk2.fsf@HIDDEN>
Date: Mon, 24 Aug 2020 21:38:48 +0300
In-Reply-To: <87eenwchk2.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 24 Aug 2020 15:14:05 +0200")
Message-ID: <87wo1nsyv7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org, Sean Whitton <spwhitton@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> Then like 'signal' uses 'ERROR-SYMBOL' as an error symbol, not string,
>> 'user-message' should use a symbol as well, e.g. in 'indicate-copied-region':
>>
>>   (user-message
>>    'indicate-copied-region
>>    "Saved text until \"%s\"" (buffer-substring-no-properties (- mark len) mark))
>>
>> then users put a property on that symbol:
>>
>>   (put 'indicate-copied-region 'inhibit-message t)
>>
>> to disable the message.
>
> Or we could have inhibit-message also be a list of symbols to inhibit?

Or a list of regexps for those users who want to inhibit message strings
directly by a regexp instead of messing with an intermediate layer of symbols :)

IOW, I still prefer the simplicity of such regexps as

  (add-to-list 'inhibit-message "^Saved text until")

and can't imagine a situation why I'd want to inhibit such message
for one command but not for another.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 24 Aug 2020 14:00:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 24 10:00:36 2020
Received: from localhost ([127.0.0.1]:58696 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAD1X-00074t-Sm
	for submit <at> debbugs.gnu.org; Mon, 24 Aug 2020 10:00:36 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kAD1V-00074f-GW
 for 42865 <at> debbugs.gnu.org; Mon, 24 Aug 2020 10:00:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=opZk7i0Hc/EtiORCqdJKEya1d257CG2Pgrdj00XP670=; b=mHMagGk86FBdmSSok0iGqUWvcr
 6jOH1Oc3VIPC67HgpUHJGxEvhEiYk3/tBxKl3r5EzRIGY9NsZlgXTDTww25BfnhemEgxQbPuEsxmE
 PkL7jxtog6oYngoifHJbmedoLNmaR5+BnmJdYpi5YPggZBISCXEEKc+oqozEzILYmujI=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kAD1M-000783-23; Mon, 24 Aug 2020 16:00:27 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefankangas@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <875z9fe3l9.fsf@HIDDEN> <87eeo37x1f.fsf@HIDDEN>
 <87a6yqc874.fsf@HIDDEN> <87blj5xyi0.fsf@HIDDEN>
 <87o8n5ifr6.fsf@HIDDEN> <87364g8cgf.fsf@HIDDEN>
 <87h7stnvaa.fsf@HIDDEN> <87eenwchk2.fsf@HIDDEN>
 <CADwFkm=FYRG3euBj11MR_zZk-8vrm2AZ3i48-10nZN_ReJWtsQ@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEXo2Md/f3DnS2L/
 //9XflpNAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+QIGA0KLVM04CkAAAFfSURBVCjPZdKxbsIwEAbg
 P1ZA1JOpoGo3q4Iq8lOECpZOGZoBpqgTzVMYxFAx8wAGUcm5p+xdEtqhpwz55Pt9jhUgqakA1wQJ
 yrKmRpAygJrIC9RZEFwQaMEWsAK3A/xWYSSwiQC+BXGb3bZdGDhBjUxw5xLoUHsnGIUOmueoeDwz
 3oKSOSQZvAYIXJZA3ZDZHZTP+ZWfjDOMCMWb6zYjGCn/whmE/AtK63287HjrnIc4TQ1nHgQImog/
 4b3ooTljTIfo+GzqKhl6Ds7zikDTJTq+nftZi/2F0Gc0hSjQ1x6aMRS46FtMl4zMWT+QzLhyFB35
 OUNNKqJIBAGufPHUw7SI5L9l6LkDVwN1atvcfwwPW+qrwXTR7cZrDSbFx9Ha3SE1/gk4VcNHrFam
 yBmzKjVmuUqKxRqY58vU5AmKnGEF4yQ1gzVf4qrsixE/byihbF1u2kGbsvt3/vDbVf4ADoOdtQUT
 9loAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjAtMDgtMjRUMTM6MTA6NDUrMDA6MDAyCdQSAAAAJXRF
 WHRkYXRlOm1vZGlmeQAyMDIwLTA4LTI0VDEzOjEwOjQ1KzAwOjAwQ1RsrgAAAABJRU5ErkJggg==
X-Now-Playing: Various's _Alefa Madagascar_: "Falafa - Rapela"
Date: Mon, 24 Aug 2020 16:00:22 +0200
In-Reply-To: <CADwFkm=FYRG3euBj11MR_zZk-8vrm2AZ3i48-10nZN_ReJWtsQ@HIDDEN>
 (Stefan Kangas's message of "Mon, 24 Aug 2020 09:26:32 -0400")
Message-ID: <87d03gb0uh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefankangas@HIDDEN> writes: > Maybe it's
 less messy (and easier to document) if we just introduce a > new defcustom
 `inhibit-user-message'? Yes, probably. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org, Sean Whitton <spwhitton@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefankangas@HIDDEN> writes:

> Maybe it's less messy (and easier to document) if we just introduce a
> new defcustom `inhibit-user-message'?

Yes, probably.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 24 Aug 2020 13:26:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 24 09:26:41 2020
Received: from localhost ([127.0.0.1]:56561 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kACUi-0001Ge-UL
	for submit <at> debbugs.gnu.org; Mon, 24 Aug 2020 09:26:41 -0400
Received: from mail-yb1-f182.google.com ([209.85.219.182]:46355)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kACUg-0001GR-LF
 for 42865 <at> debbugs.gnu.org; Mon, 24 Aug 2020 09:26:39 -0400
Received: by mail-yb1-f182.google.com with SMTP id x10so5141780ybj.13
 for <42865 <at> debbugs.gnu.org>; Mon, 24 Aug 2020 06:26:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :cc; bh=tTMA/ySbCYA5YoUINfF78Tg7P3Es1enYLVr4zJaVEj8=;
 b=N+EoGnDYJWQ0efQNsvRL3MWrZ6gIM9hBuLdjhhcdZsa45HaVvXHJUFjDrQQXn0f69r
 K+N0Cr+8PEXEqLjV+h0PZ9+SUnEVRYJ+RY5oU1E3Owdmqn7IOBqStZL9NRF2FqcRfK29
 L6md/rgJ9VYBzYNeT8mBO08H9lD3O9BrYla2KXWVwx/ZG7EOmnDhL8ojFt4wRkQo0aoG
 05QMJBc7KoRq+R0SiG5TJ1Q3KXutzQQLVEqQ5s1e1SWGCfdMZ79dnoNCKV6VMS6PTawQ
 TaVUjZxbolQ0iVXkyuSa2+00N81/sVKALPeioxq7ohc5jMe9DUknETfLvnNPGNLqqlnW
 nfPw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=tTMA/ySbCYA5YoUINfF78Tg7P3Es1enYLVr4zJaVEj8=;
 b=aKS5UwmWuc4LkZEwWEviypiWysZY9ZXZ0nbJ7EWy9YV/ej1KwQUAXoSC7QmZuMMNYA
 Y13H1oPjfGL4gKxVyiT7mGLCQ9OOhotYEAJyVnmCd8ol3gnYIm3lkTIN/0FDvq61iYGs
 ZKL6eM2L3jIqcJS723b9WoYsTblMz09vwGgxDkkemmqiMSmEF6FOy8cNr5xvAoWSIwmM
 P77BCUojTQbqgmWRT2SL40m/z2mKCxzkmAWXDX5haea8+8OD6vMx3itkz/kyg2rGSXWj
 nA7XBQiuPk7i2vaybIwBLTtKsNQCk0bxIj04ShLtVNZSqSeDsiLB9xik9uKTAf8IHX0H
 zmWg==
X-Gm-Message-State: AOAM5324Q9WnLnLFA2MFsVP+j71Gevfn3N7WT+ib02J/2RyHs3K+qhTQ
 y62ilMJbKURLpULMTanpI+szKJVBAv2Ug+zfdVvAwRq0VRQZIA==
X-Google-Smtp-Source: ABdhPJxs4Z4B64Jx56QDap0IhTA5lYVaxncWiBiWxFQmLJBObhteigRiwfKtCtbhQ+Tr/3nHNmekOuQLJZD3+Ys+p/Y=
X-Received: by 2002:a25:880e:: with SMTP id c14mr7631840ybl.181.1598275593078; 
 Mon, 24 Aug 2020 06:26:33 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 24 Aug 2020 09:26:32 -0400
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <87eenwchk2.fsf@HIDDEN>
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <875z9fe3l9.fsf@HIDDEN> <87eeo37x1f.fsf@HIDDEN>
 <87a6yqc874.fsf@HIDDEN> <87blj5xyi0.fsf@HIDDEN>
 <87o8n5ifr6.fsf@HIDDEN> <87364g8cgf.fsf@HIDDEN>
 <87h7stnvaa.fsf@HIDDEN> <87eenwchk2.fsf@HIDDEN>
MIME-Version: 1.0
Date: Mon, 24 Aug 2020 09:26:32 -0400
Message-ID: <CADwFkm=FYRG3euBj11MR_zZk-8vrm2AZ3i48-10nZN_ReJWtsQ@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
To: Lars Ingebrigtsen <larsi@HIDDEN>, Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org, Sean Whitton <spwhitton@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Juri Linkov <juri@HIDDEN> writes:
>
>> Then like 'signal' uses 'ERROR-SYMBOL' as an error symbol, not string,
>> 'user-message' should use a symbol as well, e.g. in 'indicate-copied-region':
>>
>>   (user-message
>>    'indicate-copied-region
>>    "Saved text until \"%s\"" (buffer-substring-no-properties (- mark len) mark))
>>
>> then users put a property on that symbol:
>>
>>   (put 'indicate-copied-region 'inhibit-message t)
>>
>> to disable the message.
>
> Or we could have inhibit-message also be a list of symbols to inhibit?
> That would allow easier defcustomizing, perhaps?

Maybe it's less messy (and easier to document) if we just introduce a
new defcustom `inhibit-user-message'?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 24 Aug 2020 13:14:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 24 09:14:20 2020
Received: from localhost ([127.0.0.1]:56532 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kACIm-0007D0-En
	for submit <at> debbugs.gnu.org; Mon, 24 Aug 2020 09:14:20 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57018)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kACIk-0007Ch-Tv
 for 42865 <at> debbugs.gnu.org; Mon, 24 Aug 2020 09:14:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=C4jwt/hV4JQ3s3hPwBPnTeZlSm8EOlT81biovzwBV+E=; b=Hgtsmli/OvFnq769y3DvT1F9Vr
 U8CuIcstmWQGq2FK1ZT+4yOnQF0ttStAa5hRzCDjI84U2GaL4HNY+QA7LELjl8JEed0VS5A1s9GMl
 m1+A+mEn0gguBH34mk64OPz9sD2cz5OhD1aAPmHa16uWjTNek6t9mrlH9e2ceYELF41M=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kACIZ-0006VN-18; Mon, 24 Aug 2020 15:14:12 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <875z9fe3l9.fsf@HIDDEN> <87eeo37x1f.fsf@HIDDEN>
 <87a6yqc874.fsf@HIDDEN> <87blj5xyi0.fsf@HIDDEN>
 <87o8n5ifr6.fsf@HIDDEN> <87364g8cgf.fsf@HIDDEN>
 <87h7stnvaa.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEXo2Md/f3DnS2L/
 //9XflpNAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+QIGA0KLVM04CkAAAFfSURBVCjPZdKxbsIwEAbg
 P1ZA1JOpoGo3q4Iq8lOECpZOGZoBpqgTzVMYxFAx8wAGUcm5p+xdEtqhpwz55Pt9jhUgqakA1wQJ
 yrKmRpAygJrIC9RZEFwQaMEWsAK3A/xWYSSwiQC+BXGb3bZdGDhBjUxw5xLoUHsnGIUOmueoeDwz
 3oKSOSQZvAYIXJZA3ZDZHZTP+ZWfjDOMCMWb6zYjGCn/whmE/AtK63287HjrnIc4TQ1nHgQImog/
 4b3ooTljTIfo+GzqKhl6Ds7zikDTJTq+nftZi/2F0Gc0hSjQ1x6aMRS46FtMl4zMWT+QzLhyFB35
 OUNNKqJIBAGufPHUw7SI5L9l6LkDVwN1atvcfwwPW+qrwXTR7cZrDSbFx9Ha3SE1/gk4VcNHrFam
 yBmzKjVmuUqKxRqY58vU5AmKnGEF4yQ1gzVf4qrsixE/byihbF1u2kGbsvt3/vDbVf4ADoOdtQUT
 9loAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjAtMDgtMjRUMTM6MTA6NDUrMDA6MDAyCdQSAAAAJXRF
 WHRkYXRlOm1vZGlmeQAyMDIwLTA4LTI0VDEzOjEwOjQ1KzAwOjAwQ1RsrgAAAABJRU5ErkJggg==
X-Now-Playing: Various's _Alefa Madagascar_: "Los Matadores - Andeha Hanarato"
Date: Mon, 24 Aug 2020 15:14:05 +0200
In-Reply-To: <87h7stnvaa.fsf@HIDDEN> (Juri Linkov's message of "Sun, 
 23 Aug 2020 21:39:49 +0300")
Message-ID: <87eenwchk2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > Then like 'signal'
 uses 'ERROR-SYMBOL' as an error symbol, not string, > 'user-message' should
 use a symbol as well, e.g. in 'indicate-copied-region': > > (user-message
 > 'indicate-copied-region > " [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org, Sean Whitton <spwhitton@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

> Then like 'signal' uses 'ERROR-SYMBOL' as an error symbol, not string,
> 'user-message' should use a symbol as well, e.g. in 'indicate-copied-region':
>
>   (user-message
>    'indicate-copied-region
>    "Saved text until \"%s\"" (buffer-substring-no-properties (- mark len) mark))
>
> then users put a property on that symbol:
>
>   (put 'indicate-copied-region 'inhibit-message t)
>
> to disable the message.

Or we could have inhibit-message also be a list of symbols to inhibit?
That would allow easier defcustomizing, perhaps?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 23 Aug 2020 18:45:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 23 14:45:59 2020
Received: from localhost ([127.0.0.1]:55098 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k9v0B-00048C-2y
	for submit <at> debbugs.gnu.org; Sun, 23 Aug 2020 14:45:59 -0400
Received: from relay12.mail.gandi.net ([217.70.178.232]:43143)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1k9v09-00047v-0r
 for 42865 <at> debbugs.gnu.org; Sun, 23 Aug 2020 14:45:58 -0400
Received: from mail.gandi.net (m91-129-102-47.cust.tele2.ee [91.129.102.47])
 (Authenticated sender: juri@HIDDEN)
 by relay12.mail.gandi.net (Postfix) with ESMTPSA id 5347C200008;
 Sun, 23 Aug 2020 18:45:48 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
Organization: LINKOV.NET
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <875z9fe3l9.fsf@HIDDEN> <87eeo37x1f.fsf@HIDDEN>
 <87a6yqc874.fsf@HIDDEN> <87blj5xyi0.fsf@HIDDEN>
 <87o8n5ifr6.fsf@HIDDEN> <87364g8cgf.fsf@HIDDEN>
Date: Sun, 23 Aug 2020 21:39:49 +0300
In-Reply-To: <87364g8cgf.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 21 Aug 2020 13:28:48 +0200")
Message-ID: <87h7stnvaa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org, Sean Whitton <spwhitton@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> This looks like the existing function 'user-error' that
>> doesn't enter the debugger when 'debug-on-error' is t.
>> Does the name 'user-message' make more sense?
>
> Yeah, that makes sense.

Then like 'signal' uses 'ERROR-SYMBOL' as an error symbol, not string,
'user-message' should use a symbol as well, e.g. in 'indicate-copied-region':

  (user-message
   'indicate-copied-region
   "Saved text until \"%s\"" (buffer-substring-no-properties (- mark len) mark))

then users put a property on that symbol:

  (put 'indicate-copied-region 'inhibit-message t)

to disable the message.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 21 Aug 2020 11:29:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 21 07:29:03 2020
Received: from localhost ([127.0.0.1]:45157 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k95EF-0003En-3r
	for submit <at> debbugs.gnu.org; Fri, 21 Aug 2020 07:29:03 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k95ED-0003EI-IV
 for 42865 <at> debbugs.gnu.org; Fri, 21 Aug 2020 07:29:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pmZAmy6uUZuC5oTJMIs8E2sQiuJz4DFVUTy1zLQyIW0=; b=Tz57Mlj4S7LbL82Ma64ubiXTYn
 1HfPvSIJQZUdv5jM5WdLn+LGxoCQq9tSs9IakX45rwntycNBXfONCF9Goq5bHqctmuVV2J9Gt7MG0
 vRJ+X3p54ZFRRwUBuBvO8vbEQR55D3Fz9Ya4NRsTJ3qfSivWo9D7QDKI7Qon7LVoasFk=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k95E2-0002xA-0u; Fri, 21 Aug 2020 13:28:55 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <875z9fe3l9.fsf@HIDDEN> <87eeo37x1f.fsf@HIDDEN>
 <87a6yqc874.fsf@HIDDEN> <87blj5xyi0.fsf@HIDDEN>
 <87o8n5ifr6.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEXt49Tws6X3YVj/
 //9yIEcRAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+QIFQsDKup1aqwAAAE+SURBVCjPnZLBasMwDIbl
 4oyuJwfiwnJfoX0KBZoedlIgDltOOaxj61P0tHM7KPQBktL6KScrTe6bwcaf/UeRfhngn0M5hyOU
 AHbYR+GS7pCMCx8GvVU4qFhU0qBSDlWv46OIHKwFWGy7tzKT73kuSOWIPbjXxpKABjh/lDNCwzAF
 db7oTUkBnlaT5khZQiF26o+HE1otMPcXrBC14dyh8C1xObpoGTJXkFkbVV0lgSXE68RubgIpzHUS
 vfQww0eyLh0gYkfuMMl5T6sAOT4TF2h3AeJrhcEsH0KbbWbYFPoJPzWzIkalslzA3nSo2DShOLPc
 BtgLLHwnVh7CWnifcdYghnwLTHt/a3+zCJ9KTIx3vj65dwkJD/bLseNGYIKJrfbNvZEEkcu7sXOR
 q9uh2ayox3ZbqWEYzv3l2fwCz29Ia1iemN0AAAAldEVYdGRhdGU6Y3JlYXRlADIwMjAtMDgtMjFU
 MTE6MDM6NDErMDA6MDD2+vyfAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIwLTA4LTIxVDExOjAzOjQx
 KzAwOjAwh6dEIwAAAABJRU5ErkJggg==
X-Now-Playing: Renaldo and the Loaf's _Songs for Swinging Larvae & Songs
 from the Surgery_: "Henri Lies"
Date: Fri, 21 Aug 2020 13:28:48 +0200
In-Reply-To: <87o8n5ifr6.fsf@HIDDEN> (Juri Linkov's message of "Fri, 
 21 Aug 2020 02:19:09 +0300")
Message-ID: <87364g8cgf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > This looks like the
 existing function 'user-error' that > doesn't enter the debugger when
 'debug-on-error'
 is t. > Does the name 'user-message' make more sense? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org, Sean Whitton <spwhitton@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

> This looks like the existing function 'user-error' that
> doesn't enter the debugger when 'debug-on-error' is t.
> Does the name 'user-message' make more sense?

Yeah, that makes sense.

> But the problem is that it would be a huge endeavor
> to replace all 'message' calls with a new function call.

Well, we wouldn't want to do that -- we'd only replace the ones that
somebody thinks outputs a superfluous message.

> So maybe a better route is to add a list of ignored messages like
> 'debug-ignored-errors' contains a list of regexps that match messages
> to ignore.
>
> Then this will disable display of the copy-region message:
>
>   (add-to-list 'ignored-messages "^Saved text")

I'm not in favour of that -- different code can output the same message,
and it may be superfluous only from a specific function. 

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 20 Aug 2020 23:27:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 20 19:27:52 2020
Received: from localhost ([127.0.0.1]:44424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8tyK-0005MY-GW
	for submit <at> debbugs.gnu.org; Thu, 20 Aug 2020 19:27:52 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:38639)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1k8tyF-0005M7-Eo
 for 42865 <at> debbugs.gnu.org; Thu, 20 Aug 2020 19:27:51 -0400
X-Originating-IP: 91.129.102.47
Received: from mail.gandi.net (m91-129-102-47.cust.tele2.ee [91.129.102.47])
 (Authenticated sender: juri@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id 408A3240003;
 Thu, 20 Aug 2020 23:27:39 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
Organization: LINKOV.NET
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <875z9fe3l9.fsf@HIDDEN> <87eeo37x1f.fsf@HIDDEN>
 <87a6yqc874.fsf@HIDDEN> <87blj5xyi0.fsf@HIDDEN>
Date: Fri, 21 Aug 2020 02:19:09 +0300
In-Reply-To: <87blj5xyi0.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 20 Aug 2020 15:01:11 +0200")
Message-ID: <87o8n5ifr6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org, Sean Whitton <spwhitton@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> I think we'd have to introduce a new function, like...
>
> (defun information (name &rest args)
>   (when (information-wanted name)
>     (apply #'message args)))
>
> that would allow inhibiting messages based on names and or levels

This looks like the existing function 'user-error' that
doesn't enter the debugger when 'debug-on-error' is t.
Does the name 'user-message' make more sense?

But the problem is that it would be a huge endeavor
to replace all 'message' calls with a new function call.

So maybe a better route is to add a list of ignored messages like
'debug-ignored-errors' contains a list of regexps that match messages
to ignore.

Then this will disable display of the copy-region message:

  (add-to-list 'ignored-messages "^Saved text")




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 20 Aug 2020 13:05:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 20 09:05:24 2020
Received: from localhost ([127.0.0.1]:41909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8kFw-0003wq-Ja
	for submit <at> debbugs.gnu.org; Thu, 20 Aug 2020 09:05:24 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k8kFu-0003wa-3O
 for 42865 <at> debbugs.gnu.org; Thu, 20 Aug 2020 09:05:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Jzn4vXtFjqWLNWt/DD2V/a0cNgNwaMFup8MnpE8JIoE=; b=cry31xoE/qdM0yUK0v92BeXRn4
 mEKqRdbZVIQutM8cYryRTd3KWND6fVloepDjMNQ6z0bg9gL3Wrjq4YVCsC6/ZiDeLFd7dMwd4suxt
 YoSrdv4vxtQQlaE9VrC5K45xW4KgNX0TdQAt/fb+/JVokcQruKdxwTJsXbYLINk3lnUs=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k8kFl-0003bE-N1; Thu, 20 Aug 2020 15:05:16 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <875z9fe3l9.fsf@HIDDEN> <87eeo37x1f.fsf@HIDDEN>
 <87k0xuathk.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEX8/PzS0dDAv7+k
 o6JkYmAoJSOCgH3///+94UAcAAAAAWJLR0QHFmGI6wAAAAd0SU1FB+QIFA0DKyFDQe0AAAG0SURB
 VDjLhZRNd6sgEIYHMXuQZG+07qnYrslhvOsYYd9zev//b7gDmDal5tx3oQzPfMmHAMDgLtbPJmrs
 WgBljEizTZyRHYlGlryYTIBNiOacRsZMBJQyven7CJt3DB7NnzNwAiBBSkl1+IQBHeUnnwQexBoz
 zQHR8isZMkncoUInbRVBI2XXfIFmBPVqGYFKSkLyDBW1hSF4IzJ4LNFj0Ey59gOK4llGaLjszFee
 HnsAInjdxvIRvJN5B+PPmDct98HgxT4Yh9su4DeGABSkCzAvcVepY/sTHNdkujKiCjqZLyWol2zW
 ogBcbED/Kp7Nyj4BcGFPgHkGjs9AXdaoN5PrjwLYbLJLmWrt8tuV4LTt+KkEfEmv7mDLrjBn4jfx
 CBgoykG6VbOnAb8fJYZhvCaATEQ7fG3Iy9WlffFbDzYH9IIvQ2whTCI7koOa0I10tw4xt6/bHPKm
 B+/x0yAe41WrLUe6esacj2u9bosil7hkJNl03RQczDoDvabDkKSQDvIhfbMKeqJ9Sq2ovy73LOhP
 EC5wAph6Q5fPbed+uPLZt6mAoh+I+F6/EJILh1LYwn/0D01PRr3IrfFcAAAAJXRFWHRkYXRlOmNy
 ZWF0ZQAyMDIwLTA4LTIwVDEzOjAzOjQzKzAwOjAwr1HJbAAAACV0RVh0ZGF0ZTptb2RpZnkAMjAy
 MC0wOC0yMFQxMzowMzo0MyswMDowMN4McdAAAAAASUVORK5CYII=
X-Now-Playing: Various's _SHAPE Platform 2019_: "Nina Garcia -
 =?utf-8?B?VGFrw4PCqSI=?=
Date: Thu, 20 Aug 2020 15:05:12 +0200
In-Reply-To: <87k0xuathk.fsf@HIDDEN> (Juri Linkov's message of "Thu, 
 20 Aug 2020 03:55:43 +0300")
Message-ID: <87y2m9wjqv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > Then for consistency
 with the existing defcustom > 'blink-matching-paren-on-screen' the new
 defcustom's
 name could be > 'blink-copy-region' or something like this. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org, Sean Whitton <spwhitton@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

> Then for consistency with the existing defcustom
> 'blink-matching-paren-on-screen' the new defcustom's name could be
> 'blink-copy-region' or something like this.

Probably, if we add a separate functionality to disable the messaging...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 20 Aug 2020 13:01:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 20 09:01:32 2020
Received: from localhost ([127.0.0.1]:41883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8kCC-0003q1-Hl
	for submit <at> debbugs.gnu.org; Thu, 20 Aug 2020 09:01:32 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56924)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k8kCA-0003pm-Ex
 for 42865 <at> debbugs.gnu.org; Thu, 20 Aug 2020 09:01:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=iz6yR1l0G1Oz3IMiGfppaECZiRRv05D0K8crdxsdr2s=; b=s0UBLILysY7V1vUOJjAV0qjBdx
 Yd7+RgrVXZunaSQoYZ1Uk6CO4e8QQeHj4nqZAOIVp6UhT5Yac7C0IIjeMeOZ0+nH1EM5uU8lzMpc/
 RnU7wivfgTd1S73CmNtC5/ryZoI6kjjJ/LhZTE6Mw3D0BJqh1XN//xUwbm2alDA1YKCI=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k8kBt-0003Ws-FO; Thu, 20 Aug 2020 15:01:23 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <875z9fe3l9.fsf@HIDDEN> <87eeo37x1f.fsf@HIDDEN>
 <87a6yqc874.fsf@HIDDEN>
X-Now-Playing: The Police's =?utf-8?B?X1plbnlhdHTDg8Kg?= Mondatta_: "Shadows
 In The Rain"
Date: Thu, 20 Aug 2020 15:01:11 +0200
In-Reply-To: <87a6yqc874.fsf@HIDDEN> (Juri Linkov's message of "Thu, 
 20 Aug 2020 03:52:39 +0300")
Message-ID: <87blj5xyi0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > Generally, different
 error levels should specify the message priority > (debug, info, warning,
 error). I'm not quite sure what functions > correspond to these levels in
 Emacs. Definitely, errors sho [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org, Sean Whitton <spwhitton@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

> Generally, different error levels should specify the message priority
> (debug, info, warning, error).  I'm not quite sure what functions
> correspond to these levels in Emacs.  Definitely, errors should be raised
> by the function 'error', but it seems most messages are informational.

They are, and it would be nice to allow users to switch them off
individually.  Your patch to implement this is temptingly short and easy:

> +  if (! inhibit_message && NILP (Fget (Vthis_command, Qinhibit_message)))

But I think this isn't flexible enough.  If you have one command calling
another command, and that command is the one with the message you want
to inhibit, you have to inhibit all the callers...  which you may not
want to:

(defun my-command ()
  (interactive)
  (chatty-command)
  (when once-in-a-while-there's-an-important-message
    (message "This is really important")))

there's no way to do that with this.

I think we'd have to introduce a new function, like...

(defun information (name &rest args)
  (when (information-wanted name)
    (apply #'message args)))

that would allow inhibiting messages based on names and or levels, so
copy-region would just have a

  (information 'copy-message ...)

instead of the message call.  (This is basically what Gnus does with
gnus-message, but there it's based on levels and not names.)

This would also allow users to say "switch off all purely informational
messages".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 20 Aug 2020 03:33:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 19 23:33:05 2020
Received: from localhost ([127.0.0.1]:41422 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8bK5-00048j-H4
	for submit <at> debbugs.gnu.org; Wed, 19 Aug 2020 23:33:05 -0400
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:59179)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1k8bK0-00047e-KE
 for 42865 <at> debbugs.gnu.org; Wed, 19 Aug 2020 23:33:01 -0400
X-Originating-IP: 91.129.102.47
Received: from mail.gandi.net (m91-129-102-47.cust.tele2.ee [91.129.102.47])
 (Authenticated sender: juri@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id 40945240002;
 Thu, 20 Aug 2020 03:32:52 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
Organization: LINKOV.NET
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <875z9fe3l9.fsf@HIDDEN> <87eeo37x1f.fsf@HIDDEN>
Date: Thu, 20 Aug 2020 03:55:43 +0300
In-Reply-To: <87eeo37x1f.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 19 Aug 2020 12:25:00 +0200")
Message-ID: <87k0xuathk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org, Sean Whitton <spwhitton@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> Regarding disabling the "swapping point and mark" feature: since
>> 'indicate-copied-region' uses 'blink-matching-delay', shouldn't this
>> behaviour be disabled by the existing option 'blink-matching-paren-on-screen'
>> in 'indicate-copied-region' as well (in addition to 'blink-matching-open'
>> where it's used originally)?
>
> Hm...  I'd think paren blinking and copy-region blinking would be
> something people would want to control separately.

Then for consistency with the existing defcustom
'blink-matching-paren-on-screen' the new defcustom's name could be
'blink-copy-region' or something like this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 20 Aug 2020 03:33:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 19 23:33:02 2020
Received: from localhost ([127.0.0.1]:41419 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8bK2-00048H-3V
	for submit <at> debbugs.gnu.org; Wed, 19 Aug 2020 23:33:02 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:44091)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1k8bJx-00047a-D5
 for 42865 <at> debbugs.gnu.org; Wed, 19 Aug 2020 23:32:57 -0400
X-Originating-IP: 91.129.102.47
Received: from mail.gandi.net (m91-129-102-47.cust.tele2.ee [91.129.102.47])
 (Authenticated sender: juri@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 591E7E0003;
 Thu, 20 Aug 2020 03:32:48 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
Organization: LINKOV.NET
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <875z9fe3l9.fsf@HIDDEN> <87eeo37x1f.fsf@HIDDEN>
Date: Thu, 20 Aug 2020 03:52:39 +0300
In-Reply-To: <87eeo37x1f.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 19 Aug 2020 12:25:00 +0200")
Message-ID: <87a6yqc874.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org, Sean Whitton <spwhitton@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> Regarding a new option to disable such messages at all, it seems this
>> is a more general question because AFAIR, in the past, users asked for
>> a way to disable messages for many other commands, such as "Wrote ..."
>> of 'save-buffer', etc.
>>
>> Maybe there should be a new feature allowing to disable messages selectively
>> for different commands?  Maybe just by putting a symbol property on the
>> command symbol.
>
> Many commands can issue different messages, while it's normally just the
> specific "everything went well" thing users want to disable.  So I think
> that may be confusing, interface wise?
>
> But perhaps not?  If the symbol wasn't `silent' but instead
> `no-normal-message' or something, then that could be used to disable any
> messaging in the command on the "happy path".

Generally, different error levels should specify the message priority
(debug, info, warning, error).  I'm not quite sure what functions
correspond to these levels in Emacs.  Definitely, errors should be raised
by the function 'error', but it seems most messages are informational.

Anyway, here is a patch that allows disabling messages for particular
commands with e.g.

  (put 'kill-ring-save 'inhibit-message t)

diff --git a/src/xdisp.c b/src/xdisp.c
index ad03ac4605..9cbbec61f6 100644
--- a/src/xdisp.c
+++ b/src/xdisp.c
@@ -10984,7 +10984,7 @@ message3 (Lisp_Object m)
       message_dolog (buffer, nbytes, true, multibyte);
       SAFE_FREE ();
     }
-  if (! inhibit_message)
+  if (! inhibit_message && NILP (Fget (Vthis_command, Qinhibit_message)))
     message3_nolog (m);
 }
 
@@ -34348,6 +34353,7 @@ syms_of_xdisp (void)
 
   DEFSYM (Qredisplay_internal_xC_functionx, "redisplay_internal (C function)");
 
+  DEFSYM (Qinhibit_message, "inhibit-message");
   DEFVAR_BOOL("inhibit-message", inhibit_message,
               doc:  /* Non-nil means calls to `message' are not displayed.
 They are still logged to the *Messages* buffer.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 19 Aug 2020 16:49:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 19 12:49:42 2020
Received: from localhost ([127.0.0.1]:40834 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8RHR-0000ri-St
	for submit <at> debbugs.gnu.org; Wed, 19 Aug 2020 12:49:42 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47514)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k8RHP-0000rU-RC
 for 42865 <at> debbugs.gnu.org; Wed, 19 Aug 2020 12:49:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=tSRbDb6B8EEgDHLEC+Yw2bh5qRctqLNoX+P0ciGyvsE=; b=JTzGNu+rUN4zf7zohQzCuD4wob
 4ps33UwQ7QNN6kbqhdsxiya7YTP+Q3lxFke8wjxwrgfLrk+gmJjRdwf87ENTw+QZ264iWUvbbn5xA
 zmFvc5Xbp7t7NkPua7iA1Efxc8dnBK9cTo/eu1HZvIaKSbbWWMEd/Rf/kuda4l2Q60Sc=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k8RHD-0007CL-Jz; Wed, 19 Aug 2020 18:49:33 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Sean Whitton <spwhitton@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <87mu2q7g0b.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEX9/f3h2dOIdmub
 h3hoWFFJOzgjGRy7qJn///972GkNAAAAAWJLR0QIht6VegAAAAd0SU1FB+QIExAvG7eCEnUAAAFd
 SURBVDjLvdOxbsIwEADQtOIHgqhY24CalWJQ1hLsMJfcmbmVfaxBqeTfr5OQ2IYytKp6Q6TkyWff
 nRNFfx3jVc6W29lKIBLYx2sPE+DJPMkTzgUS0XYxAHmhkX0PpLJqAO3DIfNWaOFSmRB6gdSDEQKf
 nWFjTDrAPQJk6w5SE6xQuDQCpIUyAACcz8wJJX1k5mQccKElpJ+lpGNaB1DseQHFnPQTY3H96AGA
 IL7WxtRZPG6aOG0hkdxuDVxNa8M6yNrjCtISVfmcc+SYMpvqrorjOBp1JewLZTtC+uD2OHeDFKLN
 uAnBVie1ts3hm+G4D30D6QbYQBBwDU02lOLtCrAxFYIbLkoHdoLoRks+KDdzovfKA+nBsXIFhvfH
 zSO4cHTVqz7K4VLfX6wYYHwr1c9hcgGL38NFHTtXoG5bJbEN4WBiX+3FaubN82S5dwXaP1l0X3nC
 2O4l+o/4AkQe5hv+SytJAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIwLTA4LTE5VDE2OjQ3OjI3KzAw
 OjAwt43RSQAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMC0wOC0xOVQxNjo0NzoyNyswMDowMMbQafUA
 AAAASUVORK5CYII=
X-Now-Playing: Pixies's _Surfer Rosa_: "Vamos"
Date: Wed, 19 Aug 2020 18:49:25 +0200
In-Reply-To: <87mu2q7g0b.fsf@HIDDEN> (Sean Whitton's message of
 "Wed, 19 Aug 2020 09:32:52 -0700")
Message-ID: <87ft8izilm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Sean Whitton <spwhitton@HIDDEN> writes: > It
 certainly
 seems plausible to me that others would want to turn off > the cursor blinking,
 but I'm not sure about how many people care about > the message. If you think
 it would be better I could [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sean Whitton <spwhitton@HIDDEN> writes:

> It certainly seems plausible to me that others would want to turn off
> the cursor blinking, but I'm not sure about how many people care about
> the message.  If you think it would be better I could come up with a
> simpler patch which only turns off blinking.

The two behaviours are related (they are both ways of saying "we copied
this region"), so thinking about this a bit more, I think your patch
makes sense as is.

Let's give it a few more days to see whether anybody else has any views
on this before committing, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 19 Aug 2020 16:36:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 19 12:36:41 2020
Received: from localhost ([127.0.0.1]:40830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8R4r-0000Yq-Nh
	for submit <at> debbugs.gnu.org; Wed, 19 Aug 2020 12:36:41 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:39607)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spwhitton@HIDDEN>) id 1k8R4q-0000Ye-1y
 for 42865 <at> debbugs.gnu.org; Wed, 19 Aug 2020 12:36:40 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id D6F1F5C0040;
 Wed, 19 Aug 2020 12:36:34 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute1.internal (MEProxy); Wed, 19 Aug 2020 12:36:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=spwhitton.name;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=VKkMLsTD/ftml5dv2PCZkP2bIN
 8Q1cyYJRyM2h340TU=; b=gSq9LQvrOV/Az6pOHvA1/c10sHMlU8Iv0YMPDpUdI+
 VR38gVWOBcxcyA9oq0/VNESw8H/wbSDrAXXPKKXndpWOGWiK7PcGoLI20X8uKzgr
 EZrdJYXCVAJzwjfyMUN0kCHx1aXHw3letmziw15nZtr9Z5Owul5tIayFkm5DmDhi
 hrrH59kfWKvgoJgGVmxxfdtmsapzhCTUPUNR/ypi4KkkgDfIigbG3HF+3YoFpW6r
 bw7NkT+PFpeUzHjUVudCx5FPorHZ2IW2JUxOEzLtzdbAF7K+4Yk1ibZhYDv2OjQD
 Z6PjVN7xGXMj+upd7AFrMo1Gi0YldmTsP/Y3b4H/Dvbg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=VKkMLs
 TD/ftml5dv2PCZkP2bIN8Q1cyYJRyM2h340TU=; b=VXV1GXahMBYuqi3c09p6DQ
 NePOh9V+vnD+lGe/WIY9gdOiuphbmTGJL5yxb0T+n0h2xVXFVsCxAMYI3i7oJTsq
 5w1tnf4Fl2uYbyDnDyqkrfbAZxyr00bCBPvgxTW5yHxG85Sea+MznJ7jyuND5BA9
 SYVOWyPo9Hl35IGY3Sd6bo0Js9gbzaqJzY6eHMQi0YuHGY1mlr7u1PX/5YZk9uHg
 eJKTWzwuzchiuH3umo1IPpzs1D0BH5QdfnIm9uVfOfahQpAqOHsaJLkrTFzIHsUn
 LP4wjEsY41E4FXwp4oXL3voKxm40z1GzasZNAardUxmGb/ceSycbMiWricZHDorg
 ==
X-ME-Sender: <xms:EVU9X2mimLoFylNzzR9ZmT0vDn8agwr9eiYAH6gB1GSkmHl4aIX6NA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduiedruddtkedgjeejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhffkfggtgesthdtredttddttdenucfhrhhomhepufgvrghnucgh
 hhhithhtohhnuceoshhpfihhihhtthhonhesshhpfihhihhtthhonhdrnhgrmhgvqeenuc
 ggtffrrghtthgvrhhnpeegtddvheegfffhffdvfeefhffgjefflefhteevffffkeetgfdt
 jedtiedvtdevheenucevlhhushhtvghrufhiiigvpedunecurfgrrhgrmhepmhgrihhlfh
 hrohhmpehsphifhhhithhtohhnsehsphifhhhithhtohhnrdhnrghmvg
X-ME-Proxy: <xmx:EVU9X92YqaNApPoKEh4grdo1n4-IaQVQiuUql-NB0kqG8tc6NLZb1w>
 <xmx:EVU9X0r8qJfsEnzPGgzExA0j8t6fCwMCLEkIejVMqych2zM5aN5_eA>
 <xmx:EVU9X6lTuWphMRZ82XQMTCVY5X-lXsDnUjdfwfZ8IMYbrehje0ijtQ>
 <xmx:ElU9X1gqgznPReUGd2Cwnt9RV4aFTObs9LWBIpL_DsxZyimqaR1WLA>
From: Sean Whitton <spwhitton@HIDDEN>
To: Juri Linkov <juri@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
In-Reply-To: <875z9fe3l9.fsf@HIDDEN>
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <875z9fe3l9.fsf@HIDDEN>
Date: Wed, 19 Aug 2020 09:36:29 -0700
Message-ID: <87h7sy7fua.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello,

On Wed 19 Aug 2020 at 04:16AM +03, Juri Linkov wrote:

> Regarding a new option to disable such messages at all, it seems this is
> a more general question because AFAIR, in the past, users asked for a way
> to disable messages for many other commands, such as "Wrote ..." of 'save-buffer',
> etc.
>
> Maybe there should be a new feature allowing to disable messages selectively
> for different commands?  Maybe just by putting a symbol property on the
> command symbol.

I agree that would be a cool feature.  In my own case, I just want to
get rid of the cursor blinking when copying the region.

> Regarding disabling the "swapping point and mark" feature: since
> 'indicate-copied-region' uses 'blink-matching-delay', shouldn't this
> behaviour be disabled by the existing option 'blink-matching-paren-on-screen'
> in 'indicate-copied-region' as well (in addition to 'blink-matching-open'
> where it's used originally)?

I'd like to have paren blinking turned on (it's too useful even if I
generally dislike blinking) but copy region blinking turned off (not
useful to me and visually distracting).

-- 
Sean Whitton




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 19 Aug 2020 16:33:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 19 12:33:04 2020
Received: from localhost ([127.0.0.1]:40823 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8R1M-0000TO-4i
	for submit <at> debbugs.gnu.org; Wed, 19 Aug 2020 12:33:04 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:37097)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spwhitton@HIDDEN>) id 1k8R1K-0000St-7I
 for 42865 <at> debbugs.gnu.org; Wed, 19 Aug 2020 12:33:03 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id EB5765C00D9;
 Wed, 19 Aug 2020 12:32:56 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute1.internal (MEProxy); Wed, 19 Aug 2020 12:32:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=spwhitton.name;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=6f0WTZkNT35mC80wW7t0nULD08
 iHaAHucn8Unf2ma04=; b=i1I8lwUrAdj2P7vsV/IzmjVD3qibl9/MsvUcPnwiXM
 Oi8DRKXssrpata1P80/gMf82KBzWdRaHLR9rM5BRrkjjnE7TQdEM3EVlk/jollNI
 sqYO+rl1ReZ0F1V9screHq/9uVQ2ZpXeh/gr+2s737I7hgsFYd+TTkgn9l//kwZ5
 YWHn9L+4yjRhHvLmdgI/GRVG6Zx/KxuKrZ6gNyHnBeooBi2HXlGdwAel2ST9bhIB
 SZfDhoL0eXMj2vZieTSI0B0b8z9Wdwxna2W4+JqOeXnRyB2IiMgkEK/rMS/UQ4YA
 C2s1YzOsLSynzRf9ygSpzw4dYM7O0FL15+4BvL2H64IQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=6f0WTZ
 kNT35mC80wW7t0nULD08iHaAHucn8Unf2ma04=; b=XB7JnLkn26+RcCPSV2/gyv
 U2OFPd/BRnGWdZGfuqnpXyaSsMWS6MRIRB2IGZ6qELhd89jt1PnHUu/j9Nt6fmuc
 DZlQImd608sCvBlEx010lMZ8wxGu6qhKvFT0mlveY1mmhEBgC8f0D1t7hZLQbcGz
 3m999rNt3EkE26HzI7DxOgl4yizCQiuMdfd8FCdlUhO1Bgru+5yHBRt6gLvN7VpN
 tnqKHy9W273ZEaF+j4ySrqF+Gdw7k3KXXBtYhulkqhIwJFHWDhAode/wWuz0gWrf
 xjrs+yuVqsLRw913bm0I1xe2Y6tZ5u2Mua8fTA3fRptGGipRN6OQEfsdktJzOGgQ
 ==
X-ME-Sender: <xms:OFQ9X6KXeFg2yMw5xTIp95Q1T9PWXT0FwDy0hXX1bVNhRk7b8qxFAg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduiedruddtkedgjeejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhffkfggtgesthdtredttddttdenucfhrhhomhepufgvrghnucgh
 hhhithhtohhnuceoshhpfihhihhtthhonhesshhpfihhihhtthhonhdrnhgrmhgvqeenuc
 ggtffrrghtthgvrhhnpeegtddvheegfffhffdvfeefhffgjefflefhteevffffkeetgfdt
 jedtiedvtdevheenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfh
 hrohhmpehsphifhhhithhtohhnsehsphifhhhithhtohhnrdhnrghmvg
X-ME-Proxy: <xmx:OFQ9XyI44pD-rYvUgIJB5gdhM_Fcv_dHgVv0iRDZqC7RkTvXQsnkOw>
 <xmx:OFQ9X6vKeCHpNoS-WxLl7Cp3wWbx1iuwVVZ_gMMMYaVd3rO6aLJEPw>
 <xmx:OFQ9X_ZYCyuoeMdmBMevt0Df2YN2LsqlblJA_fevb_ry4cuStzpIVw>
 <xmx:OFQ9X6mUc2KhyMtXxzulAVs8eYDWEH9R-IO9nJVXjFciHKhReP5ZHQ>
From: Sean Whitton <spwhitton@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
In-Reply-To: <87mu2sm5vu.fsf@HIDDEN>
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
Date: Wed, 19 Aug 2020 09:32:52 -0700
Message-ID: <87mu2q7g0b.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hello Lars,

On Tue 18 Aug 2020 at 03:37PM +02, Lars Ingebrigtsen wrote:

> Sean Whitton <spwhitton@HIDDEN> writes:
>
>> +(defcustom copy-region-quietly nil
>> +  "Whether the copying of an inactive region is indicated visually.
>> +If nil, behave as per the documentation of `indicate-copied-region'.
>> +`no-swap' means inhibit briefly swapping point and mark.
>> +`no-message' means inhibit displaying a message.
>> +Any other value means inhibit both swapping and message-displaying."
>> +  :type '(choice :tag "Copy region quietly"
>> +                 (const :tag "Default behavior" nil)
>> +                 (const :tag "Don't swap point and mark" no-swap)
>> +                 (const :tag "Don't display a message" no-message)
>> +                 (const
>> +                  :tag
>> +                  "Don't swap point and mark or display a message"
>> +                  t))
>> +  :group 'killing)
>
> Thanks for the patch.
>
> The change looks reasonable to me, but I'm not quite sure of how useful
> this is.  Does many people want to tweak the behaviour of this command
> to this extent?
>
> Perhaps somebody else on the bug tracker has opinions here.

I just want to turn off the cursor blinking, but I thought I ought to
try to come up with a slightly more general solution just in case
someone wants it.

Currently I have (fset 'indicate-copied-region #'ignore) in my init file
but this is not a great way to customise something like this, hence my
patch.

It certainly seems plausible to me that others would want to turn off
the cursor blinking, but I'm not sure about how many people care about
the message.  If you think it would be better I could come up with a
simpler patch which only turns off blinking.

-- 
Sean Whitton




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 19 Aug 2020 10:25:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 19 06:25:21 2020
Received: from localhost ([127.0.0.1]:37976 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8LHU-000654-OQ
	for submit <at> debbugs.gnu.org; Wed, 19 Aug 2020 06:25:20 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43038)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k8LHS-00064p-0I
 for 42865 <at> debbugs.gnu.org; Wed, 19 Aug 2020 06:25:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=dd7wmkGSAcG8hWlrRbn3F+cz6dbdnViY5H4wKqTu+fA=; b=KN6Wty/AGeAknQmC1uDBIIJ+nj
 uh6QWIaGcmQmT6kvAWoKaEwJgtFOqCrpuCXFQm9FJPGIlywz2DW9hSXGSIJU+e/VvFdvuDVRJ2tJN
 XW9jHZil9C6soA4dfQIhKReXUH+Ir/riglxF2ysA/VuPyXmcYp9qZsO3nDewYt9NhFho=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k8LHB-0003TE-MC; Wed, 19 Aug 2020 12:25:11 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
 <875z9fe3l9.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEWOindnZlyYk39B
 QTz////sDMURAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+QIEwoUDBlSXiwAAAGiSURBVDjLbZRrtsMg
 CISBFUDcgHUF9bj/vd3hkWhOb/qjLZ/DKEiIWImJqMs4nj7I8mGjOyhdSOkAKQF/ATNiJ51GZA6g
 Htc+yqUrdD0A46PbHdkkzEkhhuJnVzDO545ifQFkw/eRqhTEX5jTVQJICyhPaHIlBIyVQm1N808c
 UYi74ERIDLAQ/PquKQRQYPcFXGF2BSEE/exrrRmpbDJJj1rgXOwgUFQAgIWzdC2AWXMT6WwOUD2q
 eCi82KpV7AMwNIgcoAjp04RH0e52sf2TCrVxkw0yrpELxz4UJVCYv1NZNcUb5kBPj7AnoBvMtlbW
 KjZs9DrHWm2mojzQq1kk8hVQb3eYt9XgsfJOwA+/aE3f1WxlnvGFelbRW3VkX2XbFYnDPKC1A9RW
 56mY2eo0wfcJfOp21aw9mVS3OVOurZvlJ75bcOxGye4R00qKSMxCzh7apVIgAm5OfqMBcs7xv2O5
 N1Z8Kv19kArBmhw43GkfjieVjxHeAILZAZSaWvPZuj7PCHZfE7uLt8XnGjm2IU2gAUx6vjTYp3SD
 nOMa/zH+AJnUWmpPjXDoAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIwLTA4LTE5VDEwOjIwOjEyKzAw
 OjAwwbb36gAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMC0wOC0xOVQxMDoyMDoxMiswMDowMLDrT1YA
 AAAASUVORK5CYII=
X-Now-Playing: Various's _Lonely is an Eyesore_: "This Mortal Coil - Acid,
 Bitter and Sad"
Date: Wed, 19 Aug 2020 12:25:00 +0200
In-Reply-To: <875z9fe3l9.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 19 Aug 2020 04:16:58 +0300")
Message-ID: <87eeo37x1f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > Regarding a new
 option
 to disable such messages at all, it seems this > is a more general question
 because AFAIR, in the past, users asked for > a way to disable messages for
 many other commands, su [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org, Sean Whitton <spwhitton@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

> Regarding a new option to disable such messages at all, it seems this
> is a more general question because AFAIR, in the past, users asked for
> a way to disable messages for many other commands, such as "Wrote ..."
> of 'save-buffer', etc.
>
> Maybe there should be a new feature allowing to disable messages selectively
> for different commands?  Maybe just by putting a symbol property on the
> command symbol.

Many commands can issue different messages, while it's normally just the
specific "everything went well" thing users want to disable.  So I think
that may be confusing, interface wise?

But perhaps not?  If the symbol wasn't `silent' but instead
`no-normal-message' or something, then that could be used to disable any
messaging in the command on the "happy path".

> Regarding disabling the "swapping point and mark" feature: since
> 'indicate-copied-region' uses 'blink-matching-delay', shouldn't this
> behaviour be disabled by the existing option 'blink-matching-paren-on-screen'
> in 'indicate-copied-region' as well (in addition to 'blink-matching-open'
> where it's used originally)?

Hm...  I'd think paren blinking and copy-region blinking would be
something people would want to control separately.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 19 Aug 2020 03:15:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 18 23:15:49 2020
Received: from localhost ([127.0.0.1]:37498 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8EZp-0001dA-22
	for submit <at> debbugs.gnu.org; Tue, 18 Aug 2020 23:15:49 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:42293)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1k8EZm-0001ch-E1
 for 42865 <at> debbugs.gnu.org; Tue, 18 Aug 2020 23:15:47 -0400
X-Originating-IP: 91.129.102.47
Received: from mail.gandi.net (m91-129-102-47.cust.tele2.ee [91.129.102.47])
 (Authenticated sender: juri@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 97D30E0002;
 Wed, 19 Aug 2020 03:15:36 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
Organization: LINKOV.NET
References: <87lfihi0w5.fsf@HIDDEN> <87mu2sm5vu.fsf@HIDDEN>
Date: Wed, 19 Aug 2020 04:16:58 +0300
In-Reply-To: <87mu2sm5vu.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 18 Aug 2020 15:37:57 +0200")
Message-ID: <875z9fe3l9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org, Sean Whitton <spwhitton@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> +(defcustom copy-region-quietly nil
>> +  "Whether the copying of an inactive region is indicated visually.
>> +If nil, behave as per the documentation of `indicate-copied-region'.
>> +`no-swap' means inhibit briefly swapping point and mark.
>> +`no-message' means inhibit displaying a message.
>> +Any other value means inhibit both swapping and message-displaying."
>> +  :type '(choice :tag "Copy region quietly"
>> +                 (const :tag "Default behavior" nil)
>> +                 (const :tag "Don't swap point and mark" no-swap)
>> +                 (const :tag "Don't display a message" no-message)
>> +                 (const
>> +                  :tag
>> +                  "Don't swap point and mark or display a message"
>> +                  t))
>> +  :group 'killing)
>
> Thanks for the patch.
>
> The change looks reasonable to me, but I'm not quite sure of how useful
> this is.  Does many people want to tweak the behaviour of this command
> to this extent?
>
> Perhaps somebody else on the bug tracker has opinions here.

When I needed to customize the behaviour of 'indicate-copied-region',
I relied on advice-add like this:

(advice-add 'kill-ring-save :after
            (lambda (&rest _args)
              (let ((text (substring-no-properties (current-kill 0))))
                (message "Copied text \"%s\""
                         ;; Don't show newlines literally
                         (query-replace-descr
                          (if (> (length text) 64)
                              (concat (substring text 0 64) "..." (substring text -16))
                            text)))))
            '((name . indicate-copied-region)))

that tries to fix the problem of multi-line messages that abruptly changes
the window configuration by resizing the echo area after text copying.
This problem is caused by the fact that 'indicate-copied-region' displays
the constant number of copied characters, including newlines.

Regarding a new option to disable such messages at all, it seems this is
a more general question because AFAIR, in the past, users asked for a way
to disable messages for many other commands, such as "Wrote ..." of 'save-buffer',
etc.

Maybe there should be a new feature allowing to disable messages selectively
for different commands?  Maybe just by putting a symbol property on the
command symbol.

Regarding disabling the "swapping point and mark" feature: since
'indicate-copied-region' uses 'blink-matching-delay', shouldn't this
behaviour be disabled by the existing option 'blink-matching-paren-on-screen'
in 'indicate-copied-region' as well (in addition to 'blink-matching-open'
where it's used originally)?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at 42865 <at> debbugs.gnu.org:


Received: (at 42865) by debbugs.gnu.org; 18 Aug 2020 13:38:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 18 09:38:09 2020
Received: from localhost ([127.0.0.1]:34555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k81oW-0004f5-S5
	for submit <at> debbugs.gnu.org; Tue, 18 Aug 2020 09:38:09 -0400
Received: from quimby.gnus.org ([95.216.78.240]:60472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k81oV-0004eP-K6
 for 42865 <at> debbugs.gnu.org; Tue, 18 Aug 2020 09:38:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=9l++g+WmjseIC9avajZDzlJMJj+TbOhcY29CnX4aTts=; b=tcCgcNJO+LgeuE9iYRGtCKjrRl
 NGpIyrcY8svVCGm8TC8fBE8OSIMClXiYEMhnQwpETLFveGml+onR9J6Ap3Hy7Aa/coOlOip0qxN5r
 Tamo3ztAGbwpEKXi1eNfA3QDiSvHebpeVjzdjUexoWvsPSJS30KYuAohVEqGJ+xafqhs=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k81oM-0007NX-Ah; Tue, 18 Aug 2020 15:38:01 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Sean Whitton <spwhitton@HIDDEN>
Subject: Re: bug#42865: 28.0.50; Add new 'copy-region-quietly' defcustom
References: <87lfihi0w5.fsf@HIDDEN>
X-Now-Playing: Cocteau Twins's _Tiny Dynamine_: "Sultitan Itan"
Date: Tue, 18 Aug 2020 15:37:57 +0200
In-Reply-To: <87lfihi0w5.fsf@HIDDEN> (Sean Whitton's message of
 "Fri, 14 Aug 2020 10:38:02 -0700")
Message-ID: <87mu2sm5vu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Sean Whitton <spwhitton@HIDDEN> writes: > +(defcustom
 copy-region-quietly nil > + "Whether the copying of an inactive region is
 indicated visually. > +If nil,
 behave as per the documentation of `indicate-copied-region'.
 > +`no-swap' means i [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42865
Cc: 42865 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sean Whitton <spwhitton@HIDDEN> writes:

> +(defcustom copy-region-quietly nil
> +  "Whether the copying of an inactive region is indicated visually.
> +If nil, behave as per the documentation of `indicate-copied-region'.
> +`no-swap' means inhibit briefly swapping point and mark.
> +`no-message' means inhibit displaying a message.
> +Any other value means inhibit both swapping and message-displaying."
> +  :type '(choice :tag "Copy region quietly"
> +                 (const :tag "Default behavior" nil)
> +                 (const :tag "Don't swap point and mark" no-swap)
> +                 (const :tag "Don't display a message" no-message)
> +                 (const
> +                  :tag
> +                  "Don't swap point and mark or display a message"
> +                  t))
> +  :group 'killing)

Thanks for the patch.

The change looks reasonable to me, but I'm not quite sure of how useful
this is.  Does many people want to tweak the behaviour of this command
to this extent?

Perhaps somebody else on the bug tracker has opinions here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Aug 2020 17:38:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 14 13:38:11 2020
Received: from localhost ([127.0.0.1]:53787 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k6ded-0004QG-Fx
	for submit <at> debbugs.gnu.org; Fri, 14 Aug 2020 13:38:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:56998)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <spwhitton@HIDDEN>) id 1k6deb-0004Q8-R1
 for submit <at> debbugs.gnu.org; Fri, 14 Aug 2020 13:38:10 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60092)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <spwhitton@HIDDEN>)
 id 1k6deb-0002xP-K9
 for bug-gnu-emacs@HIDDEN; Fri, 14 Aug 2020 13:38:09 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:44415)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <spwhitton@HIDDEN>)
 id 1k6deZ-00017i-Ha
 for bug-gnu-emacs@HIDDEN; Fri, 14 Aug 2020 13:38:09 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id B54C35C018B
 for <bug-gnu-emacs@HIDDEN>; Fri, 14 Aug 2020 13:38:05 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute1.internal (MEProxy); Fri, 14 Aug 2020 13:38:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=spwhitton.name;
 h=from:to:subject:date:message-id:mime-version:content-type; s=
 fm3; bh=h9ylz3JZ2u9dKC2o4rLQnIZdWOy0U2kliwBJcWrC6b8=; b=GXOdPwPr
 Tb0w4pUQrR3ZtauS5v+JkmuxDdQl1eWE89lAjivvwrh1ZaW9GI1jKEecsNn3Yhpr
 u/BcCC8tXwzdutQZk7sG8USy9POO+z0zGTRJ1uJEHDvXYbGys14GIm6FBlkNT/JQ
 Y3JmTaNG91KardUd1LBsKaYzGuPViQNEiBdZiUCgpiyJDl5VD/vxQsECMeKLAC7p
 /bJFwmm4tTyzeMzAWvXnE+BU7VUXO35OVo+8NHKea6QG3QmdEef4DufEoIauKMC7
 S3lD8ihQMc0KD5ADMfBcdWbaT4cl0yyQH63Ro9c7kfKVaauwQNAa+VcSYNSKh/tJ
 5ZNc7jL3IZ2q5g==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=h9ylz3JZ2u9dKC2o4rLQnIZdWOy0U
 2kliwBJcWrC6b8=; b=jSZxd5P80J1IK89RdqYeE2SBwicKyJonXLyt82NZrrrn2
 K6298C6XMBDSj9zTyfHiWyLb1ISJlhMklM4FiIleBCn/Wo7jAdMYYV7CpmuOiEoR
 yIUMJkJKzw9HuZ+/9zoacnNT7Tm5t0JDa7Oy+c1wIBBn+oEhUd2zw0pyvQdmlOY8
 pRmnX3+gkcK4uA3XOX+g7KYcnkY/9o6vtJJUokxp6Ipx4wLENRmXnyZUtMUMkp0X
 KTK/ap1nXsMU4TXC2sEOvJfFIjn4M3f6JfY/PY6Z7lSQ6wX2L60K87ESQyzonVWz
 8J9gFQS6jf9RS87C1uCe8uJkl33MCQcLPQL5L2ZrA==
X-ME-Sender: <xms:_cs2XxpZN_zetJTcuYxT2SKhLUx3geG0kE-AkoU2K8BuzW1uyS0mwA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduiedrleejgdduuddtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkgggtsehmtderredttd
 dtnecuhfhrohhmpefuvggrnhcuhghhihhtthhonhcuoehsphifhhhithhtohhnsehsphif
 hhhithhtohhnrdhnrghmvgeqnecuggftrfgrthhtvghrnhepteegtdejheejvdehgeettd
 dvjeffudetuedutdegkefhtdetteeuueetkeefkeegnecuvehluhhsthgvrhfuihiivgep
 tdenucfrrghrrghmpehmrghilhhfrhhomhepshhpfihhihhtthhonhesshhpfihhihhtth
 honhdrnhgrmhgv
X-ME-Proxy: <xmx:_cs2XzpojBU9kpiIy7_f0usNSHLb9vAMFF-vNZVno-30gHU-MLMIcw>
 <xmx:_cs2X-PURKsbs1umy-pBGznHLiDlpwdeIQPZaS4_3uEG2zRUYbBDZA>
 <xmx:_cs2X84CuiM6Y-XC6FlOqlObs4GPJIWoUcbW-bM0ibvrSgToRA6iww>
 <xmx:_cs2X3JM-a5nOyf8NmDDRkt_UjzMem-le1W5MJLZNjyF7haz9bb9Qg>
From: Sean Whitton <spwhitton@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Add new 'copy-region-quietly' defcustom
Date: Fri, 14 Aug 2020 10:38:02 -0700
Message-ID: <87lfihi0w5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=66.111.4.28;
 envelope-from=spwhitton@HIDDEN; helo=out4-smtp.messagingengine.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/08/14 13:38:05
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=-0.01, RCVD_IN_MSPIKE_WL=-0.01,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain

Tags: patch

Hello,

I want to have a way to suppress swapping point and mark when copying an
inactive region, as I find that distracting.  Here is a patch adding a
new defcustom to achieve that.

-- 
Sean Whitton

--=-=-=
Content-Type: text/x-diff
Content-Disposition: attachment;
 filename=0001-Add-new-defcustom-copy-region-quietly.patch

From ffcf36626d75b1f421fef36a79542ac8cacb5991 Mon Sep 17 00:00:00 2001
From: Sean Whitton <spwhitton@HIDDEN>
Date: Fri, 14 Aug 2020 10:33:54 -0700
Subject: [PATCH] Add new defcustom 'copy-region-quietly'

* lisp/simple.el (copy-region-quietly): Add new defcustom.
* lisp/simple.el (indicate-copied-region): Don't swap point and mark
if copy-region-quietly is no-swap or t.  Don't display a message if
copy-region-quietly is no-message or t.  Document the change.
* etc/NEWS: Document the change.
---
 etc/NEWS       |  4 ++++
 lisp/simple.el | 47 ++++++++++++++++++++++++++++++++++++-----------
 2 files changed, 40 insertions(+), 11 deletions(-)

diff --git a/etc/NEWS b/etc/NEWS
index 2be9743a45..5bd495fd43 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -145,6 +145,10 @@ setting the variable 'auto-save-visited-mode' buffer-locally to nil.
 description of the properties.  Likewise 'button-describe' does the
 same for a button.
 
+** Whether and how the copying of an inactive region is indicated
+visually can now be controlled by customizing the variable
+'copy-region-quietly'.
+
 
 * Changes in Specialized Modes and Packages in Emacs 28.1
 
diff --git a/lisp/simple.el b/lisp/simple.el
index 6f72c3b81b..cd1c773f43 100644
--- a/lisp/simple.el
+++ b/lisp/simple.el
@@ -4871,6 +4871,22 @@ kill-read-only-ok
   :type 'boolean
   :group 'killing)
 
+(defcustom copy-region-quietly nil
+  "Whether the copying of an inactive region is indicated visually.
+If nil, behave as per the documentation of `indicate-copied-region'.
+`no-swap' means inhibit briefly swapping point and mark.
+`no-message' means inhibit displaying a message.
+Any other value means inhibit both swapping and message-displaying."
+  :type '(choice :tag "Copy region quietly"
+                 (const :tag "Default behavior" nil)
+                 (const :tag "Don't swap point and mark" no-swap)
+                 (const :tag "Don't display a message" no-message)
+                 (const
+                  :tag
+                  "Don't swap point and mark or display a message"
+                  t))
+  :group 'killing)
+
 (defun kill-region (beg end &optional region)
   "Kill (\"cut\") text between point and mark.
 This deletes the text from the buffer and saves it in the kill ring.
@@ -5005,7 +5021,10 @@ indicate-copied-region
 If the mark lies outside the selected window, display an
 informative message containing a sample of the copied text.  The
 optional argument MESSAGE-LEN, if non-nil, specifies the length
-of this sample text; it defaults to 40."
+of this sample text; it defaults to 40.
+
+Both these behaviors can be inhibited by setting `copy-region-quietly',
+which see."
   (let ((mark (mark t))
 	(point (point))
 	;; Inhibit quitting so we can make a quit here
@@ -5014,8 +5033,9 @@ indicate-copied-region
     (if (pos-visible-in-window-p mark (selected-window))
 	;; Swap point-and-mark quickly so as to show the region that
 	;; was selected.  Don't do it if the region is highlighted.
-	(unless (and (region-active-p)
-		     (face-background 'region nil t))
+	(unless (or (memq copy-region-quietly '(t no-swap))
+                    (and (region-active-p)
+		         (face-background 'region nil t)))
 	  ;; Swap point and mark.
 	  (set-marker (mark-marker) (point) (current-buffer))
 	  (goto-char mark)
@@ -5027,14 +5047,19 @@ indicate-copied-region
 	  ;; as C-g would as a command.
 	  (and quit-flag (region-active-p)
 	       (deactivate-mark)))
-      (let ((len (min (abs (- mark point))
-		      (or message-len 40))))
-	(if (< point mark)
-	    ;; Don't say "killed"; that is misleading.
-	    (message "Saved text until \"%s\""
-		     (buffer-substring-no-properties (- mark len) mark))
-	  (message "Saved text from \"%s\""
-		   (buffer-substring-no-properties mark (+ mark len))))))))
+      (unless (memq copy-region-quietly '(t no-message))
+        (let ((len (min (abs (- mark point))
+		        (or message-len 40))))
+	  (if (< point mark)
+	      ;; Don't say "killed"; that is misleading.
+	      (message "Saved text until \"%s\""
+		       (buffer-substring-no-properties
+                        (- mark len)
+                        mark))
+	    (message "Saved text from \"%s\""
+		     (buffer-substring-no-properties
+                      mark
+                      (+ mark len)))))))))
 
 (defun append-next-kill (&optional interactive)
   "Cause following command, if it kills, to add to previous kill.
-- 
2.27.0


--=-=-=--




Acknowledgement sent to Sean Whitton <spwhitton@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42865; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 13 Sep 2020 13:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.